summaryrefslogtreecommitdiff
path: root/tests/misc/env.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/env.sh')
-rwxr-xr-xtests/misc/env.sh6
1 files changed, 2 insertions, 4 deletions
diff --git a/tests/misc/env.sh b/tests/misc/env.sh
index d7c5a099a..f03b158b0 100755
--- a/tests/misc/env.sh
+++ b/tests/misc/env.sh
@@ -153,9 +153,7 @@ test "x$(sh -c '\c=d echo fail')" = xpass && #dash 0.5.4 fails so check first
{ test "x$(env sh -c '\c=d echo fail')" = xpass || fail=1; }
# catch unsetenv failure, broken through coreutils 8.0
-env -u a=b true && fail=1
-test $? = 125 || fail=1
-env -u '' true && fail=1
-test $? = 125 || fail=1
+returns_ 125 env -u a=b true || fail=1
+returns_ 125 env -u '' true || fail=1
Exit $fail